Unify and manage your data

Delete tenant blocked values in batch

Learn how to remove multiple tenant-level blocked values in one request.

Use Delete tenant blocked values in batch API to remove multiple blocked values at the tenant level in a single request.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST /configuration/{tenantId}/autopilot/blockedValues/_delete

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier.

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

The following table describes the request body parameters.

ParameterTypeRequiredDescriptionAccepted values / Default
valuesArray of stringsYesList of blocked values to remove.Must be non-empty. Maximum 1000 values per request.

Example request

Use the following example to see how a complete request is structured with headers and a JSON body.

{
  "values": ["NA", "UNKNOWN", "TBD"]
}

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
statusStringIndicates the result of the operation.

Example response

The following example shows a successful response.

{
  "status": "success"
}